Redmine - Defect #4961

Broken functional tests
2010-03-02 10:22 - Alexey Palazhchenko

Status: Closed Start date: 2010-03-02
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

Ironically, r3521 broke functional test for me.

1) Failure:

test_context_menu_multiple_issues_of_same_project (IssuesControllerTest) [/test/functional/issues_c
ontroller_test.rb:1173]:

expected tag, but no tag found matching {:attributes=>{:class=>"", :href=>"/issues/bulk_edit?ids%5
B%5D=1&amp; ids%5B%5D=2&amp; priority_id=8"}, :tag=>"a", :content=>"Immediate"} in:

<much html code>

2) Failure:

test_context_menu_one_issue (IssuesControllerTest) [/test/functional/issues_controller_test.rb:1128
]1:

expected tag, but no tag found matching {:attributes=>{:class=>"", :href=>"/issues/bulk_edit?ids%5
B%5D=1&amp; priority_1id=8"}, :tag=>"a", :content=>"Immediate"} in:

<much html code>

History

#1 - 2010-03-02 10:24 - Alexey Palazhchenko

As a side note: do you have automated testing server? If you don't, | may try to assist.

#2 - 2010-03-02 11:46 - Jean-Philippe Lang

| saw this after it was committed and | just didn't have time to fix it. Nothing is broken, except the test itself.

As a side note: do you have automated testing server? If you don't, | may try to assist.

| use Hudson for that. It runs tests on different targets (trunk with mysql, pgsq|, sqlite and 0.9-stable). Thanks anyway.

#3 - 2010-03-02 12:03 - Alexey Palazhchenko

Jean-Philippe Lang wrote:

| use Hudson for that. It runs tests on different targets (trunk with mysql, pgsql, sqlite and 0.9-stable).

May you integrate your own Simple Cl plugin with redmine.org so everyone will see current tests status?

#4 - 2010-03-03 21:02 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r3522.

May you integrate your own Simple Cl plugin with redmine.org so everyone will see current tests status?

My Hudson server is not reachable from my web server. So, not for me but maybe in the future.

#5 - 2010-03-04 06:36 - Eric Davis
https://www.redmine.org/projects/redmine/repository/svn/revisions/3521
https://www.redmine.org/projects/redmine/repository/svn/revisions/3522

| had a public ClI server setup for Redmine but it's not online any more. | have Redmine registered at RunCodeRun but they are not responding to my
support requests to install the missing gems.
http://runcoderun.com/edavis10/redmine
http://www.tcpdf.org

